Summary:	Atari Jaguar Emulator
Name:		virtualjaguar
Version:	2.1.3
Release:	%mkrel 1
Group:		Emulators
License:	GPLv3
Packager:       Agent Smith (ruidobranco@yahoo.com.br)
URL:		http://www.icculus.org/virtualjaguar/
Source0:	%{name}-%{version}.tar.xz
Patch0:		virtualjaguar-2.1.3-optflags.patch
BuildRequires:	%{_lib}SDL-devel
BuildRequires:	zlib1-devel
BuildRequires:	%{_lib}mesagl1-devel
BuildRequires:	%{_lib}cdio-devel
BuildRequires:	%{_lib}qt5core-devel
BuildRequires:	%{_lib}qt5gui-devel
BuildRequires:	%{_lib}qt5opengl-devel
BuildRequires:	%{_lib}qt5widgets-devel

%description
Virtual Jaguar is software dedicated to emulating the Atari Jaguar hardware on
a standard PC. The software was originally developed by David Raingeard of
Potato Emulation and was released under the GPL on 25 June 2003.

Virtual Jaguar GCC/Qt is not just a port of the MS Visual C++/SDL source code
but has also been extended and rewritten so that we can enjoy Atari Jaguar
emulation on every platform that has a GCC compiler and a port of Qt.

%prep
%setup -q -n linux-%{version}
%patch0 -p1

# Fix Qt5 qmake call
sed -i 's|qmake -qt=5|%{_qt5_bindir}/qmake|' Makefile

%build
#Since 2.0.2, build breaks when using %%make macro because of -j2 parameter
#so we use make directly for now
%__make

%install

%__mkdir_p %{buildroot}%{_bindir}
%__install -m 755 %{name} %{buildroot}%{_bindir}/%{name}

%__mkdir_p %{buildroot}%{_datadir}/pixmaps
%__install -m 644 res/vj.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

%__mkdir_p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Virtual Jaguar
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator
EOF

%clean
%__rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/linux-%{version}

%files
%doc docs/*
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop


%changelog

* Sat Sep 07 2019 Agent Smith <ruidobranco@yahoo.com.br> 2.1.3-1pclos2019
- Updated package Virtual Jaguar, with latest sources.

* Fri Jan 03 2013 Agent Smith <ruidobranco@yahoo.com.br> 2.1.0-1pclos2014
- Updated package Virtual Jaguar, now with support for 32/64 bits

* Mon Sep 03 2012 Agent Smith <ruidobranco@yahoo.com.br> 2.0.2-1pclos2012
- Created package Virtual Jaguar
